Subject: [bug#59994] [PATCH] tests: Don't try to prevent flex to include unistd.h

From: Frederic Berat <[email-masked]>
Date: Fri, 13 Jan 2023 13:49:27 +0100

I probably won't be able to do so before next week at least.
If you happen to have time (and be willing) to do it earlier, don't
hesitate ;)

On Fri, Jan 13, 2023 at 7:31 AM Mike Frysinger <[email-masked]> wrote:

> On Mon, 12 Dec 2022 15:20:46 -0500, Zack Weinberg wrote:
> > On 2022-12-12 2:07 AM, Frederic Berat wrote:
> > >
> > > This patch is mainly a proposal. While the macro can simply be removed
> > > as explained below, another possibility it to add a flex option
> > > "--never-interactive" to prevent flex to make use of "isatty".
> > >
> > > This is related to an effort to prepare Automake for future GCC/Clang
> > > versions which set c99 as default standard to be used.
> > >
> > > Future version of flex make the "NO_UNISTD" flag a no-op, and include
> > > unistd.h by default.
> > >
> > > In current version of flex, not having this header leads to implicit
> > > function declarations that are not compatible with c99 standard.
> > >
> > > On top of that, while flex dedicated test were having this macro set,
> > > the yacc ones didn't have it despise their use of Flex. Thus, if this
> > > macro was ever useful, it looks like nobody actually cared.
> >
> > I'm guessing that the idea here was to avoid using unistd.h on platforms
> > that don't supply that header at all.  I suggest that we should apply
> > your patch *and* consistently test flex with "--never-interactive".
>
> sounds fine.  want to update your patch Frederic ?
> -mike
>
>
>
>